SF.net SVN: morphix: [2394] trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh

[email protected] Sun, 20 Aug 2006 15:09:10 -0700
Newsgroups gmane.linux.morphix.cvs
Message-ID <[email protected]>
Revision: 2394
Author:   bmsleight
Date:     2006-08-20 15:09:02 -0700 (Sun, 20 Aug 2006)
ViewCVS:  http://svn.sourceforge.net/morphix/?rev=2394&view=rev

Log Message:
-----------
Moving along ...

Modified Paths:
--------------
    trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
Modified: trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
===================================================================
--- trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-19 21:16:17 UTC (rev 2393)
+++ trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-20 22:09:02 UTC (rev 2394)
@@ -135,24 +135,24 @@
 {
 MESSAGE_TITLE="Morphing Morphix"
 MESSAGE_EXIT="Are you sure you wish to exit Morphing Morphix now ?"
-MESSAGE_MAIN_MENU="Select one of the example Morphs to do "
-MESSAGE_MAIN_MENU_1="Submenu [Configure Morphing-Morphix]"
+MESSAGE_MAIN_MENU="Welcome to MorphingMorphix"
+MESSAGE_MAIN_MENU_1="Submenu [Configure MorphingMorphix]"
 MESSAGE_MAIN_MENU_2="Introduction to isomorph"
 MESSAGE_MAIN_MENU_3="Using isomorph to get a clean base"
 MESSAGE_MAIN_MENU_4="Submenu [MiniModules]"
 MESSAGE_MAIN_MENU_5="Submenu [MainModules]"
-MESSAGE_MAIN_MENU_6="Rebranding an ISO"
-MESSAGE_MAIN_MENU_7="Building a whole ISO from Scratch"
-MESSAGE_MAIN_MENU_8="Testing an iso using qemu"
-MESSAGE_MAIN_MENU_9="Open a terminal for Morphing"
+MESSAGE_MAIN_MENU_6="Rebranding an Morphix LiveCD"
+MESSAGE_MAIN_MENU_7="Building MorphixLiveKiosk from Scratch"
+MESSAGE_MAIN_MENU_8="Open a terminal for Morphing"
+MESSAGE_MAIN_MENU_9="Testing an LiveCD using qemu"
 MESSAGE_MAIN_MENU_RETURN="Return to Main Menu"
 MESSAGE_CONFIGURE_MENU="$MESSAGE_MAIN_MENU_1"
-MESSAGE_CONFIGURE_MENU_1="Main Configuration"
-MESSAGE_CONFIGURE_MENU_2="Remove CD Images already made"
+MESSAGE_CONFIGURE_MENU_1="Configure MorphingMorphix"
+MESSAGE_CONFIGURE_MENU_2="Remove old CD Images then complete Configuration"
 MESSAGE_MINIMODS_MENU="$MESSAGE_MAIN_MENU_4"
 MESSAGE_MINIMODS_MENU_1="Using an XML template to build a MiniModule"
-MESSAGE_MINIMODS_MENU_2="Saving the Home Directory toa MiniModule "
-MESSAGE_MAINMODS_MENU="MESSAGE_MAIN_MENU_5"
+MESSAGE_MINIMODS_MENU_2="Saving the Home Directory to a MiniModule "
+MESSAGE_MAINMODS_MENU="$MESSAGE_MAIN_MENU_5"
 MESSAGE_MAINMODS_MENU_1="Using an XML template to build a mainmodule"
 MESSAGE_MAINMODS_MENU_2="Step inside the MainModule - changing by hand"
 
@@ -338,19 +338,22 @@
 ###########################################################
 MESSAGE_REBRAND="Rebrand an ISO
 
-This  script  Re-brands  a Morphix CD image using a graphic
+This script Re-brands a Morphix CD image using a graphic
 file. 
 
 The following will be changed:-
- * Boot Menu
- <insert from online manual>
+ * Grub Titles
+ * Grub Background
+ * Username, Hostname
+ * Boot-up message
+ * Boot-up background
+ * Window Manager Wallpaper
 "
 MESSAGE_REBRAND_2="Rebrand an ISO
 
 Any Graphic file will do. Rebrand.png, Rebrand.jpg or 
-Rebrand.gif The  name of  the  graphics  file is important 
-as the script takes Rebrand as the new title for the 
-LiveCD.
+Rebrand.gif The  name of the graphics file is important as 
+the script takes Rebrand as the new title for the LiveCD.
 
 We will use these commands:-
 morphix-rebrand ./MyMorph.iso ./tmp.iso Rebrand.jpg
@@ -437,6 +440,8 @@
 In short: Boot you LiveCD inside your current operating
 system. A little slower but faster than burning a cd and 
 rebooting. Good for testing.
+
+qemu -boot d -cdrom ./MyMorph.iso
 "
 MESSAGE_QEMU_2="Testing an ISO using Qemu
 
@@ -646,7 +651,7 @@
 	     '$MESSAGE_MAIN_MENU_3' '$MESSAGE_MAIN_MENU_4'\
      	     '$MESSAGE_MAIN_MENU_5' '$MESSAGE_MAIN_MENU_6'\
 	     '$MESSAGE_MAIN_MENU_7' '$MESSAGE_MAIN_MENU_8'\
-	     '$MESSAGE_MAIN_MENU_9' '$MESSAGE_MAIN_MENU_10'
+	     '$MESSAGE_MAIN_MENU_9' 
 	case $? in
 	  1)
 	    log_file "main_menu selected $?"
@@ -671,10 +676,10 @@
 	    autobuild_whole_iso;;
 	  8)
 	    log_file "main_menu selected $?"
-	    test_qemu;;
+	    terminal_morphing;;
 	  9)
 	    log_file "main_menu selected $?"
-	    echo;;
+	    test_qemu;;
 	  255)
 	     closing_mmorphix "main_menu";;
 	esac
@@ -689,7 +694,8 @@
 	1)
 	   set_up_mmorphix;;
 	2)
-	   echo;;
+	   
+	   set_up_mmorphix;;
 	3) 
 	   main_menu;;
 	255)
@@ -789,7 +795,7 @@
  log_and_do_command  "mkdir $MNT_POINT/mmorphix/morphed			2>/dev/null"
  if [ -e "$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH" ] 
  then
-	echo "Images exist"
+	log_file "Images exist"
  else
 	xdialog_message "$MESSAGE_SETTING_MAKEISO"
 	log_and_do_command "sudo dd if=/dev/cdrom \
@@ -811,6 +817,11 @@
  main_menu
 }
 
+remove_images ()
+{
+	log_and_do_command "rm -f $MNT_POINT/mmorphix/iso/*"
+}
+
 is_mmorphix_set_up ()
 { 
  if [ "$MM_IS_SET_UP" = "" ]
@@ -839,9 +850,9 @@
 	log_file "isomorph_intro"
 	#$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH
 	xdialog_message "$MESSAGE_ISOMORPH"
-	log_and_do_command "sudo isomorph --list $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH >$TMP_FILE_2"
-	TMP=$(cat $TMP_FILE_2)
-	xdialog_message "$TMP"
+	log_and_do_command_progress "echo \"morphingmorphix@MorphingMorphix:~$ isomorph --list ./$SETTING_MYMORPH\" ;
+					sudo isomorph --list $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH ;
+					read -p \"Press enter to continue ... \""
  fi
  main_menu
 }
@@ -1038,7 +1049,7 @@
 #  SECTION 17 :  AUTOBUILD WHOLE CD                       #
 #                                                         #
 #  o isomaker                                             #
-#    o Use debian.org or point locally ?                  #
+#    o Use debian.org                                     #
 #                                                         #
 ###########################################################
 autobuild_whole_iso ()
@@ -1130,6 +1141,25 @@
 
 ###########################################################
 #                                                         #
+#  SECTION 18 :  OPEN A TERMINAL FOR MORPHING             #
+#                                                         #
+#  o sh                                                   #
+#                                                         #
+###########################################################
+terminal_morphing ()
+{
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+	log_file "terminal_morphing"
+	log_and_do_command_progress "sudo sh"
+ fi
+ main_menu
+}
+
+
+###########################################################
+#                                                         #
 #  SECTION 98 :  ABOUT MORPHING-MORPHIX                   #
 #                                                         #
 ###########################################################


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642